/*
===============================================================================
===============================================================================

plik:   tasks.h
autor:  Lukasz Krzak & Marcin Krzesinski
data:   29.06.2004

opis:   Plik zawierajacy naglowki procedur watkow uruchamianych w systemie
        uC/OS-II

===============================================================================
===============================================================================
*/

/* DEFINICJE */
#define TASK_STK_SIZE  128
#define N_TASKS          1

/* ZMIENNE */

int8_t VAR_ShowCPUUsage;
int8_t VAR_SystemLogs;
int8_t VAR_I2CMonitor;

/* Ponizsze zmienne sluz do alokacji pamieci uzywanej jako stos zada */
OS_STK StartTaskStk[TASK_STK_SIZE];
OS_STK LEDTaskStk[TASK_STK_SIZE];
OS_STK CalcTaskStk[TASK_STK_SIZE];
OS_STK IOTaskStk[TASK_STK_SIZE];

/* NAGWKI */
void StartTask(void *pdata);
void IOTask (void *pdata);
void LEDTask(void *pdata);
void CalcTask(void *pdata);


